IllformedLocaleException (Java SE 26 & JDK 26)
Description: declaration: module: java.base, package: java.util, class: IllformedLocaleException
Keywords: java.util.IllformedLocaleException class

# Class IllformedLocaleException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
java.util.IllformedLocaleException

All Implemented Interfaces:
  `Serializable`

public class IllformedLocaleException extends RuntimeException
Thrown by methods in `Locale` and `Locale.Builder` to indicate that an argument is not a well-formed BCP 47 tag.

Since:
  1.7
See Also:
  - `Locale`
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IllformedLocaleException()`
  Constructs a new `IllformedLocaleException` with no detail message and -1 as the error index.
  `IllformedLocaleException(String message)`
  Constructs a new `IllformedLocaleException` with the given message and -1 as the error index.
  `IllformedLocaleException(String message, int errorIndex)`
  Constructs a new `IllformedLocaleException` with the given message and the error index.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getErrorIndex()`
  Returns the index where the error was found.

  ### Methods declared in class Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`
  Modifier and Type
  Method
  Description
  `final void`
  `addSuppressed(Throwable exception)`
  Appends the specified exception to the exceptions that were suppressed in order to deliver this exception.
  `Throwable`
  `fillInStackTrace()`
  Fills in the execution stack trace.
  `Throwable`
  `getCause()`
  Returns the cause of this throwable or `null` if the cause is nonexistent or unknown.
  `String`
  `getLocalizedMessage()`
  Creates a localized description of this throwable.
  `String`
  `getMessage()`
  Returns the detail message string of this throwable.
  `StackTraceElement[]`
  `getStackTrace()`
  Provides programmatic access to the stack trace information printed by `Throwable.printStackTrace()`.
  `final Throwable[]`
  `getSuppressed()`
  Returns an array containing all of the exceptions that were suppressed, typically by the `try`-with-resources statement, in order to deliver this exception.
  `Throwable`
  `initCause(Throwable cause)`
  Initializes the cause of this throwable to the specified value.
  `void`
  `printStackTrace()`
  Prints this throwable and its backtrace to the standard error stream.
  `void`
  `printStackTrace(PrintStream s)`
  Prints this throwable and its backtrace to the specified print stream.
  `void`
  `printStackTrace(PrintWriter s)`
  Prints this throwable and its backtrace to the specified print writer.
  `void`
  `setStackTrace(StackTraceElement[] stackTrace)`
  Sets the stack trace elements that will be returned by `Throwable.getStackTrace()` and printed by `Throwable.printStackTrace()` and related methods.
  `String`
  `toString()`
  Returns a short description of this throwable.

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `protected Object`
  `clone()`
  Creates and returns a copy of this object.
  `boolean`
  `equals(Object obj)`
  Indicates whether some other object is "equal to" this one.
  `protected void`
  `finalize()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Finalization is deprecated and subject to removal in a future release.
  `final Class<?>`
  `getClass()`
  Returns the runtime class of this `Object`.
  `int`
  `hashCode()`
  Returns a hash code value for this object.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `final void`
  `wait()`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
  `final void`
  `wait(long timeoutMillis)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
  `final void`
  `wait(long timeoutMillis, int nanos)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

- ## Constructor Details

  - ### IllformedLocaleException

    public IllformedLocaleException()
    Constructs a new `IllformedLocaleException` with no detail message and -1 as the error index.

  - ### IllformedLocaleException

    public IllformedLocaleException(String message)
    Constructs a new `IllformedLocaleException` with the given message and -1 as the error index.
    Parameters:
      `message` - the message

  - ### IllformedLocaleException

    public IllformedLocaleException(String message, int errorIndex)
    Constructs a new `IllformedLocaleException` with the given message and the error index. The error index is the approximate offset from the start of the ill-formed value to the point where the parse first detected an error. A negative error index value indicates either the error index is not applicable or unknown.
    Parameters:
      `message` - the message
      `errorIndex` - the index

- ## Method Details

  - ### getErrorIndex

    public int getErrorIndex()
    Returns the index where the error was found. A negative value indicates either the error index is not applicable or unknown.
    Returns:
      the error index